#include<iostream>
using namespace std;
int main(){
ios_base::sync_with_stdio(false);
int n,k,br;
int a[n];
cin>>n>>k;
for(int i=0;i<n;i++){
    cin>>a[i];
}
for(int i=0;i<n;i++){
    if(a[i]==k&&i!=n-1){
        br=a[i+1];
    }
    if(a[i]==k&&i==n-1){

        br=a[0];
    }
}
cout<<br;
return 0;
}